libetonyek::KEY2Collector Class Reference documentation

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
libetonyek::KEY2Collector Class Reference

`#include <KEY2Collector.h>`

Inheritance diagram for libetonyek::KEY2Collector:

## Public Member Functions
| KEY2Collector (IWORKDocumentInterface *document)
virtual boost::shared_ptr< IWORKTable > | createTable (const IWORKTableNameMapPtr_t &tableNameMap) const
virtual boost::shared_ptr< IWORKText > | createText (const IWORKLanguageManager &langManager, bool discardEmptyContent=false) const
Public Member Functions inherited from libetonyek::KEYCollector
| KEYCollector (IWORKDocumentInterface *document)
| ~KEYCollector ()
void | collectPresentationSize (const IWORKSize &size)
KEYLayerPtr_t | collectLayer ()
void | insertLayer (const KEYLayerPtr_t &layer)
void | collectPage ()
KEYPlaceholderPtr_t | collectTextPlaceholder (const IWORKStylePtr_t &style, bool title)
void | insertTextPlaceholder (const KEYPlaceholderPtr_t &placeholder)
void | collectNote ()
void | collectStickyNote ()
void | setSlideStyle (const IWORKStylePtr_t &style)
void | startDocument ()
void | endDocument ()
void | startSlides ()
void | endSlides ()
void | startThemes ()
void | endThemes ()
void | startPage ()
void | endPage ()
void | startLayer ()
void | endLayer ()
Public Member Functions inherited from libetonyek::IWORKCollector
| IWORKCollector (IWORKDocumentInterface *document)
| ~IWORKCollector ()
void | setRecorder (const boost::shared_ptr< IWORKRecorder > &recorder)
void | collectStyle (const IWORKStylePtr_t &style)
void | setGraphicStyle (const IWORKStylePtr_t &style)
void | collectGeometry (const IWORKGeometryPtr_t &geometry)
void | collectBezier (const IWORKPathPtr_t &path)
void | collectImage (const IWORKImagePtr_t &image)
void | collectLine (const IWORKLinePtr_t &line)
void | collectShape ()
void | collectBezierPath ()
void | collectPolygonPath (const IWORKSize &size, unsigned edges)
void | collectRoundedRectanglePath (const IWORKSize &size, double radius)
void | collectArrowPath (const IWORKSize &size, double headWidth, double stemRelYPos, bool doubleSided)
void | collectStarPath (const IWORKSize &size, unsigned points, double innerRadius)
void | collectConnectionPath (const IWORKSize &size, double middleX, double middleY)
void | collectCalloutPath (const IWORKSize &size, double radius, double tailSize, double tailX, double tailY, bool quoteBubble)
void | collectMedia (const IWORKMediaContentPtr_t &content)
void | collectStylesheet (const IWORKStylesheetPtr_t &stylesheet)
void | collectMetadata (const IWORKMetadata &metadata)
void | collectHeader (const std::string &name)
void | collectFooter (const std::string &name)
void | collectTable (const boost::shared_ptr< IWORKTable > &table)
void | collectText (const boost::shared_ptr< IWORKText > &text)
void | startDocument ()
void | endDocument ()
void | startGroup ()
void | endGroup ()
void | startLevel ()
void | endLevel ()
void | pushStyle ()
void | popStyle ()
void | pushStylesheet (const IWORKStylesheetPtr_t &stylesheet)
void | popStylesheet ()
IWORKOutputManager & | getOutputManager ()

## Additional Inherited Members
Protected Member Functions inherited from libetonyek::IWORKCollector
void | fillMetadata (librevenge::RVNGPropertyList &props)
Static Protected Member Functions inherited from libetonyek::IWORKCollector
static void | writeFill (const IWORKFill &fill, librevenge::RVNGPropertyList &props)
Protected Attributes inherited from libetonyek::KEYCollector
bool | m_paint
Protected Attributes inherited from libetonyek::IWORKCollector
IWORKDocumentInterface * | m_document
boost::shared_ptr< IWORKRecorder > | m_recorder
std::stack< Level > | m_levelStack
IWORKStyleStack | m_styleStack
std::stack< IWORKStylesheetPtr_t > | m_stylesheetStack
IWORKOutputManager | m_outputManager
std::deque< IWORKStylePtr_t > | m_newStyles
boost::shared_ptr< IWORKTable > | m_currentTable
boost::shared_ptr< IWORKText > | m_currentText
IWORKHeaderFooterMap_t | m_headers
IWORKHeaderFooterMap_t | m_footers

## Constructor & Destructor Documentation

libetonyek::KEY2Collector::KEY2Collector | ( | IWORKDocumentInterface * | document | ) |
| explicit

## Member Function Documentation

boost::shared_ptr< IWORKTable > libetonyek::KEY2Collector::createTable | ( | const IWORKTableNameMapPtr_t & | tableNameMap | ) | const
| virtual

Reimplemented from libetonyek::IWORKCollector.

boost::shared_ptr< IWORKText > libetonyek::KEY2Collector::createText | ( | const IWORKLanguageManager & | langManager,
|  | bool | discardEmptyContent = `false`
| ) |  | const
| virtual

Reimplemented from libetonyek::IWORKCollector.

The documentation for this class was generated from the following files:

- KEY2Collector.h
- KEY2Collector.cpp